import {
	WeaTools
} from 'ecCom';

export const getSettingInfo = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSettingInfo', 'GET', params);
}

export const saveSettingInfo = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSettingInfo', 'POST', params);
}

export const delSensitiveWord = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/delSensitiveWord', 'POST', params);
}

export const getSensitiveWordCondition = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordCondition', 'GET', params);
}

export const getSensitiveWordList = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordList', 'GET', params);
}

export const getSensitiveWordForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordForm', 'GET', params);
}

export const saveSensitiveWord = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSensitiveWord', 'POST', params);
}

export const getSensitiveWordTypeCondition = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordTypeCondition', 'GET', params);
}

export const getSensitiveWordTypeList = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordTypeList', 'GET', params);
}

export const getSensitiveWordTypeForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordTypeForm', 'GET', params);
}

export const saveSensitiveWordType = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSensitiveWordType', 'POST', params);
}

export const delSensitiveWordType = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/delSensitiveWordType', 'POST', params);
}


export const getSensitiveWordLogCondition = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordLogCondition', 'GET', params);
}

export const getSensitiveWordLogList = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordLogList', 'GET', params);
}

export const getSensitiveWordLogTab = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordLogTab', 'GET', params);
}

export const processSensitiveWordLog = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/processSensitiveWordLog', 'POST', params);
}


export const getSensitiveWordApproveCondition = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordApproveCondition', 'GET', params);
}

export const getSensitiveWordApproveList = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordApproveList', 'GET', params);
}

export const processSensitiveWordApprove = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/processSensitiveWordApprove', 'POST', params);
}

export const getSensitiveWordDefaultHandleWayForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordDefaultHandleWayForm', 'POST', params);
}

export const saveSensitiveWordDefaultHandleWay = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSensitiveWordDefaultHandleWay', 'POST', params);
}

export const getSensitiveWordTypeScopeList = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordTypeScopeList', 'GET', params);
}

export const getSensitiveWordTypeScopeForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordTypeScopeForm', 'GET', params);
}

export const delSensitiveWordTypeScope = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/delSensitiveWordTypeScope', 'POST', params);
}

export const saveSensitiveWordTypeScope = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSensitiveWordTypeScope', 'POST', params);
}

export const getSensitiveWordLogForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordLogForm', 'GET', params);
}

export const saveSensitiveWordApprove = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/saveSensitiveWordApprove', 'POST', params);
}

export const getSensitiveWordApprovalForm = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/getSensitiveWordApproveForm', 'GET', params);
}

export const delSensitiveWordApprove = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/delSensitiveWordApprove', 'POST', params);
}

export const getDetachable = (params = {}) => {
	return WeaTools.callApi('/api/hrm/common/getDetachable', 'GET', params);
}

export const hasRight = (params = {}) => {
	return WeaTools.callApi('/api/sensitive/hasRight', 'GET', params);
}

